std::ratio_greater< _R1, _R2 > Struct Template Reference
Utilities » Rational Arithmetic

`#include <ratio>`

Inheritance diagram for std::ratio_greater< _R1, _R2 >:
[legend]

## Public Types

using | type
using | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<typename _R1, typename _R2>
struct std::ratio_greater< _R1, _R2 >

ratio_greater

Definition at line 458 of file ratio.

## Member Typedef Documentation

## type

using std::integral_constant< bool, __v >::type

inherited

Definition at line 91 of file type_traits.

## value_type

using std::integral_constant< bool, __v >::value_type

inherited

Definition at line 90 of file type_traits.

## Member Function Documentation

## operator value_type()

std::integral_constant< bool, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 92 of file type_traits.

## Member Data Documentation

## value

bool std::integral_constant< bool, __v >::value

static constexpr inherited

Definition at line 89 of file type_traits.

The documentation for this struct was generated from the following file:

- ratio